import request from '@/utils/request'

export function getList(data) {
  return request({
    url: '/api/v1/tenant/sn/page',
    method: 'post',
    data
  })
}

export function add(data) {
  return request({
    url: '/api/v1/tenant/sn/add',
    method: 'post',
    // headers: { 'content-type': 'application/json' },
    data
  })
}

export function deleteById(id) {
  return request({
    url: `/api/v1/tenant/sn/del/${id}`,
    method: 'post'
  })
}

export function autoById(id) {
  return request({
    url: `/api/v1/tenant/sn/auth/${id}`,
    method: 'post'
  })
}

export function autoCancelById(id) {
  return request({
    url: `/api/v1/tenant/sn/auth/cancel/${id}`,
    method: 'post'
  })
}
export function snList(data) {
  return request({
    url: '/api/v1/tenant/sn/list',
    method: 'post',
    data
  })
}
